function RemoteMqttGroupUpdatePage()
{
	var SaveGlobalVariable = function(Row){RemoteMqttGroupUpdatePage.prototype._SaveGlobalVariable_(Row);};
	var IsSaveGlobalVariable = function(){return RemoteMqttGroupUpdatePage.prototype._IsSaveGlobalVariable_();};
	var ShowFirstPage = function(){RemoteMqttGroupUpdatePage.prototype._ShowFirstPage_();};
	this.Initialization = function(){RemoteMqttGroupUpdatePage.prototype._Initialization_();};
}










function RemoteMqttGroupFirstPage()
{
  var AutomaticGroupName = function(){RemoteMqttGroupFirstPage.prototype._AutomaticGroupName_();};
  var RemoveRtuToRemoteMqttGroupName = function(GroupName){RemoteMqttGroupFirstPage.prototype._RemoveRtuToRemoteMqttGroupName_(GroupName);};
  var RemoveTcpToRemoteMqttGroupName = function(GroupName){RemoteMqttGroupFirstPage.prototype._RemoveTcpToRemoteMqttGroupName_(GroupName);};
  var RemoveAsciiToRemoteMqttGroupName = function(GroupName){RemoteMqttGroupFirstPage.prototype._RemoveAsciiToRemoteMqttGroupName_(GroupName);};
  var RemoveGroup = function(number){RemoteMqttGroupFirstPage.prototype._RemoveGroup_(number);};
  //初始化
  var InitialRemoteMqttGroupObject = function(that){RemoteMqttGroupFirstPage.prototype._InitialRemoteMqttGroupObject_(that);};
  this.ChangeAllCheckbox = function(that){RemoteMqttGroupFirstPage.prototype._ChangeAllCheckbox_(that);};
  //取值
  var GetAllNumber = function(){return RemoteMqttGroupFirstPage.prototype._GetAllNumber_();};  
  //判斷
  this.IsTickedGroup = function(){return RemoteMqttGroupFirstPage.prototype._IsTickedGroup_();};
  var IsNameRepeat = function(){return RemoteMqttGroupFirstPage.prototype._IsNameRepeat_(Name);};
  //表格
  var ShowTable = function(ObjectKey, DisplayNumber){RemoteMqttGroupFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){RemoteMqttGroupFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};  
  this.ShowPreviousPage  = function(){RemoteMqttGroupFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){RemoteMqttGroupFirstPage.prototype._ShowNextPage_();};
  //介面
  this.RedisplayUi       = function(){RemoteMqttGroupFirstPage.prototype._RedisplayUi_();};
  //按鈕
  this.EditButton = function(that){RemoteMqttGroupFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){RemoteMqttGroupFirstPage.prototype._SaveButton_(that);};
  this.AddNewRow  = function(that){RemoteMqttGroupFirstPage.prototype._AddNewRow_(that);};
  this.DeleteRow  = function(that){RemoteMqttGroupFirstPage.prototype._DeleteRow_(that);};
  //檢查
  this.CheckGroupName = function(that){RemoteMqttGroupFirstPage.prototype._CheckGroupName_(that);};

  this.Initialization = function(){RemoteMqttGroupFirstPage.prototype._Initialization_();};  
  //傳輸
  var TransmissionJson = function(ssocket, Command, JsonString, Callback){RemoteMqttGroupFirstPage.prototype._TransmissionJson_(ssocket, Command, JsonString, Callback);};
  var SaveFinished = function(that, ssocket){RemoteMqttGroupFirstPage.prototype._SaveFinished_(that, ssocket);};
  var SaveStart = function(that, ssocket){RemoteMqttGroupFirstPage.prototype._SaveStart_(that, ssocket);};
}










function RemoteMqttGroupSecondPage()
{
  this.ChangeInputModuleType = function(ModuleType, that){return RemoteMqttGroupSecondPage.prototype._ChangeInputModuleType_(ModuleType, that);};
  var LoadModuleNumber = function(ModuleType, that){RemoteMqttGroupSecondPage.prototype._LoadModuleNumber_(ModuleType, that);};
  this.ChangeModuleNumber = function(Module, that){return RemoteMqttGroupSecondPage.prototype._ChangeModuleNumber_(Module, that);};
  this.LoadModuleName = function(Module, that){return RemoteMqttGroupSecondPage.prototype._LoadModuleName_(Module, that);};
  this.LoadInputVariableAttribute = function(Module, that){return RemoteMqttGroupSecondPage.prototype._LoadInputVariableAttribute_(Module, that);};
  this.ChangeVariableType = function(Module, that){return RemoteMqttGroupSecondPage.prototype._ChangeVariableType_(Module, that);};
  this.ChangeVariableAttribute = function(ModuleType, that){return RemoteMqttGroupSecondPage.prototype._ChangeVariableAttribute_(ModuleType, that);};
  this.InputDataSetting = function(){return RemoteMqttGroupSecondPage.prototype._InputDataSetting_();};
  this.SaveGlobalVariable = function(){return RemoteMqttGroupSecondPage.prototype._SaveGlobalVariable_();};
  this.SetInitDataSetting = function(number){return RemoteMqttGroupSecondPage.prototype._SetInitDataSetting_(number);};
  this.SaveDataLayerAndServiceLayerVariables = function(number){return RemoteMqttGroupSecondPage.prototype._SaveDataLayerAndServiceLayerVariables_(number);};
  this.SaveModuleSetting = function(number){return RemoteMqttGroupSecondPage.prototype._SaveModuleSetting_(number);};








  //判斷
  var IsNameRepeat = function(Name){return RemoteMqttGroupFirstPage.prototype._IsNameRepeat_(Name);};
  //取值
  var GetMqttConnection = function(){return RemoteMqttGroupSecondPage.prototype._GetMqttConnection_();};
  //交集 差集
  var ArrayInteraction = function(FirstArray, SecondArray){return RemoteMqttGroupSecondPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};  
  //介面
  this.ConfirmButton = function(that){RemoteMqttGroupSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){RemoteMqttGroupSecondPage.prototype._NoConfirmButton_();};
  //全域變數 或 物件
  var ModifyRemoteMqttGroupObject= function(number){RemoteMqttGroupSecondPage.prototype._ModifyRemoteMqttGroupObject_(number);};
  //MQTT連線
  var LoadBroker = function(number){RemoteMqttGroupSecondPage.prototype._LoadBroker_(number);};
  var AddBrokerHtml = function(Table, RemoteNumber){RemoteMqttGroupSecondPage.prototype._AddBrokerHtml_(Table, RemoteNumber);};
  //設定
  var SetFormInitialValue = function(number){RemoteMqttGroupSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){RemoteMqttGroupSecondPage.prototype._SetInitialValue_(number);};
  var SetBrokerValue = function(number, Table, RemoteNumber){RemoteMqttGroupSecondPage.prototype._SetBrokerValue_(number, Table, RemoteNumber);};
  var SetLocalBrokerName = function(Tr, obj, BrokerName){RemoteMqttGroupSecondPage.prototype._SetLocalBrokerName_(Tr, obj, BrokerName);};
  var SetRemoteBrokerName = function(Tr, obj, RemoteNumber, BrokerName){RemoteMqttGroupSecondPage.prototype._SetRemoteBrokerName_(Tr, obj, RemoteNumber, BrokerName);};
//  var SetAzureBrokerName = function(Tr, obj, AzureNumber, BrokerName){RemoteMqttGroupSecondPage.prototype._SetRemoteBrokerName_(Tr, obj, AzureNumber, BrokerName);}
  //檢查
  this.CheckGroupName = function(that){RemoteMqttGroupSecondPage.prototype._CheckGroupName_(that);};
  this.CheckScanRate = function(that){RemoteMqttGroupSecondPage.prototype._CheckScanRate_(that);};
  this.CheckDeadBand = function(that){RemoteMqttGroupSecondPage.prototype._CheckDeadBand_(that);};
  this.CheckMqttConnection = function(that){RemoteMqttGroupSecondPage.prototype._CheckMqttConnection_(that);};
  this.CheckTopic = function(that){RemoteMqttGroupSecondPage.prototype._CheckTopic_(that);};
  //取代
  var ModifyGlobalVariable = function(OldGroupName, NewGroupName){RemoteMqttGroupSecondPage.prototype._ModifyGlobalVariable_(OldGroupName, NewGroupName);};
  var ModifyRtuToRemoteMqttGroupName = function(OldGroupName, NewGroupName){RemoteMqttGroupSecondPage.prototype._ModifyRtuToRemoteMqttGroupName_(OldGroupName, NewGroupName);};
  var ModifyTcpToRemoteMqttGroupName = function(OldGroupName, NewGroupName){RemoteMqttGroupSecondPage.prototype._ModifyTcpToRemoteMqttGroupName_(OldGroupName, NewGroupName);};
  var ModifyAsciiToRemoteMqttGroupName = function(OldGroupName, NewGroupName){RemoteMqttGroupSecondPage.prototype._ModifyAsciiToRemoteMqttGroupName_(OldGroupName, NewGroupName);};
}